


%make figures showing effect of different number of systems.

load systemresults.mat;



figure;


% semilogx(results_5.total_samples, squeeze(mean(exp(results_5.theory_log_prob(8,:,:)),3)), '-', ...
%     results_20.total_samples, squeeze(mean(exp(results_20.theory_log_prob(8,:,:)),3)), '-', ...
%     results_50.total_samples, squeeze(mean(exp(results_50.theory_log_prob(8,:,:)),3)), '-', ...
% results_100.total_samples, squeeze(mean(exp(results_100.theory_log_prob(8,:,:)),3)), '-', ...
% results_150.total_samples, squeeze(mean(exp(results_150.theory_log_prob(8,:,:)),3)), '-', ...
% results_200.total_samples, squeeze(mean(exp(results_200.theory_log_prob(8,:,:)),3)), '-', ...
% results_500.total_samples, squeeze(mean(exp(results_500.theory_log_prob(8,:,:)),3)), '-');

semilogx(results_5.total_samples, squeeze(mean((results_5.theory_log_prob(8,:,:)),3)), '-', ...
        results_10.total_samples, squeeze(mean((results_10.theory_log_prob(8,:,:)),3)), '--', ...
    results_20.total_samples, squeeze(mean((results_20.theory_log_prob(8,:,:)),3)), '-.', ...
    results_50.total_samples, squeeze(mean((results_50.theory_log_prob(8,:,:)),3)), '*--', ...
    results_150.total_samples, squeeze(mean((results_150.theory_log_prob(8,:,:)),3)), '*-.', ...
    results_500.total_samples, squeeze(mean((results_500.theory_log_prob(8,:,:)),3)), '*-'...
    ,'LineWidth', 2);

%     results_100.total_samples,
%     squeeze(mean((results_100.theory_log_prob(8,:,:)),3)), '-', ...

xlim([min(results_5.total_samples) max(results_5.total_samples)]);
set(gca,'FontSize', 16, 'FontName', 'Times');
legend({'5 systems','10 systems','20 systems','50 systems','150 systems','500 systems'}, ...
                  'FontSize', 16, 'FontName', 'Times', 'Location', 'NorthWest');
xlabel('Total # samples', 'FontSize', 20, 'FontName', 'Times');
ylabel('Log-posterior of corect theory', 'FontSize', 20, 'FontName', 'Times');
% set(gcf,'PaperPositionMode','auto');
orient landscape;
print -dpdf varysystems.pdf;



