function topo = toposort(dag)
%toposort the dag, return left-first vector of node numbers, or -1 if cyclic.

topo=[];
nodes=1:size(dag,1);

while length(nodes)>0
    
    %try to remove any nodes with no parents:

    a=any(dag);
    if sum(a) < size(dag,1)
        topo=[topo nodes(find(~a))];
        f=find(a);
        dag=dag(f,f);
        nodes=nodes(f);
    else
        topo = -1;
        return
    end
    
end
