function vec = bin_ind2vec(ind, lngth)
%turn a standard index into a binary vector.
%
%vec is right-major.
%ind starts at 1.

ind=ind-1;

m=length(ind);

vec=zeros(m,lngth);
for p=fliplr(1:lngth)
    b=(2^(p-1));
    vec(:,p)=floor(ind./b);
    ind= ind - vec(:,p)*b;
end
    
    