function [mea, err] = learnability(rankd_gold, rankd_learn, total_samples)

r = (rankd_learn-rankd_gold);
total_samples = repmat(total_samples', [1 1 size(r,3)]);
learnability_per_run = squeeze(sum(total_samples.*mean(r,1),2));
mea = mean(learnability_per_run);
err = std(learnability_per_run)./sqrt(length(learnability_per_run));
