
%no features, two distractors.
clear all;
UF={[0 0 1 0; 0 1 0 0], [0 0 0 0; 0 1 0 0]};
theory_compliance_per_system=[ones(1,25) 2.*ones(1,25)];
theories_of_interest=[1 4 8 16]; %null and gold.
sel_theory_index = 4; %CBN with known actions =UF.
Minimal_nativism_script;
save run_mn_0.mat;


%one partial feature (half coverage), one distractor.
clear all;
UF={[1 0 0 0; 0 1 0 0], [0 0 0 0; 0 1 0 0]};
theory_compliance_per_system=[ones(1,25) 2.*ones(1,25)];
theories_of_interest=[1 4 8 16]; %null and gold.
sel_theory_index = 8; %CBN with known actions =UF.
Minimal_nativism_script;
save run_mn_1.mat;

%two (non-overlapping) partial fetaures, together complete coverage.
clear all;
UF={[0 0 0 0; 1 0 0 0], [1 0 0 0; 0 0 0 0]};
theory_compliance_per_system=[ones(1,25) 2.*ones(1,25)];
theories_of_interest=[1 4 8 16]; %null and gold.
sel_theory_index = 16; %CBN with known actions =UF.
Minimal_nativism_script;
save run_mn_2.mat;

%two (non-overlapping) partial fetaures, together half coverage.
clear all;
UF={[0 0 0 0; 1 0 0 0], [1 0 0 0; 0 0 0 0], [0 0 0 0; 0 0 0 0]};
theory_compliance_per_system=[ones(1,12) 2.*ones(1,13) 3.*ones(1,25)];
theories_of_interest=[1 4 8 16]; %null and gold.
sel_theory_index = 16; %CBN with known actions =UF.
Minimal_nativism_script;
save run_mn_3.mat;

%two overlapping partial fetaures.
clear all;
UF={[1 0 0 0; 1 0 0 0], [1 0 0 0; 0 0 0 0], [0 0 0 0; 0 0 0 0]};
theory_compliance_per_system=[ones(1,12) 2.*ones(1,13) 3.*ones(1,25)];
theories_of_interest=[1 4 8 16]; %null and gold.
sel_theory_index = 16; %CBN with known actions =UF.
Minimal_nativism_script;
save run_mn_4.mat;
